Commit 016a6fd2 authored by Jean-Francois Dockes's avatar Jean-Francois Dockes
Browse files

small doc and cleanup fixes

parent 6f13c8c5
......@@ -75,6 +75,8 @@ src/qtgui/i18n/*.qm
src/qtgui/recoll
src/qtgui/recoll.pro
src/query/alldeps
src/query/recollq
src/query/xadump
src/recollinstall
src/sampleconf/recoll.conf
website/usermanual/*
......@@ -2967,10 +2967,11 @@ while query.next >= 0 and query.next < nres:
<varlistentry id="rcl.install.config.recollconf.topdirs">
<term><literal>topdirs</literal></term>
<listitem><para>Specifies the list of directories or files to
index (recursively for directories). The indexer will not
follow symbolic links inside the indexed trees by default
(see the <literal>followLinks</literal> options though).</para>
</listitem>
index (recursively for directories). You can use symbolic links
as elements of this list. See the
<literal>followLinks</literal> option about following symbolic links
found under the top elements (not followed by default).</para>
</listitem>
</varlistentry>
<varlistentry><term><literal>skippedNames</literal></term>
......
......@@ -102,13 +102,17 @@
slower indexing for doc files.</li>
</ul>
<h2><a name="b_1_13_02">recoll 1.13.02</h2>
<p>Stemming is completely broken. The stemming database is not
created at all. Things may sort of work as long as an older stemming
database is around (which is why this was not discovered earlier.</p>
<li>Fix stemming which was completely broken in the 1.13
series. The stemming database was not
created at all. Things would sort of work as long as an older stemming
database was around (which is why this was not discovered earlier.</li>
<li>Fix the lyx filter to properly handle embedded white space in
file paths.</li>
<h2><a name="b_1_13_01">recoll 1.13.01 + xapian
1.0.16</a></h2>
<h2><a name="b_1_13_01">recoll 1.13.01 + xapian 1.0.16</a></h2>
<li>The GUI display is completely garbled under
Qt 4.6.1 and newer. This is a Qt bug, and a workaround was put
......@@ -123,7 +127,9 @@
#if QT_VERSION >= 0x040601
</pre>
</li>
<h2><a name="b_1_13_00">recoll 1.13.01 + xapian 1.0.16</a></h2>
<li>The field value was ignored in field searches for phrases or
capitalized words (ie: author:John or title:"the title").</li>
<li>The GUI would sometimes crash during the first execution,
......@@ -131,6 +137,8 @@
<li>kio-recoll was not fully updated for 1.13 internals.</li>
<li>Would not compile on Solaris 8.</li>
<h2><a name="b_1_12_4">1.12.4</a></h2>
<li>There are two bugs specific to 64 bits system, affecting
HTML display inside the preview window (wrong character set
......
......@@ -34,10 +34,8 @@
<h2><a name="1.13.04">1.13.04</a></h2>
<p>Provide a set of configuration defaults so that compilation has a
chance to succeed on unknown systems.</p>
<p>Fix the lyx filter to properly handle embedded white space in
file paths.</p>
<p>Fixed stemming. This was completely broken in 1.13...</p>
<p>Install icon to the pixmaps directory.</p>
<p><a href="BUGS.html#b_1_13_02">Fixed bugs</a></p>
<h2><a name="1.13.02">1.13.02</a></h2>
<p>This version has a single fix to work around a problem in the
......
......@@ -55,10 +55,10 @@
features (ie: duplicates collapsing) depend on a full index
rebuild.
<br>If installing over 1.10 or older, you need a full
<br />If installing over 1.10 or older, you need a full
rebuild. The best way to do this is to just delete the old
xapiandb directory, especially if the index was created by an
older version.
<span class="filename">.recoll/xapiandb</class> directory,
especially if the index was created by an older version.
(ie: <tt>rm&nbsp;-rf&nbsp;~/.recoll/xapiandb/</tt>). On very
old indexes, <tt>recollindex&nbsp;-z</tt> may sometimes end
with a <em>backend doesn't implement metadata</em> error,
......@@ -71,9 +71,10 @@
Installation / building manual</a>.</p>
<p>Most binary packages on this page need a Qt 3.3 runtime
environment (QT 4.x is specified for a few). They are
statically linked with Xapian, which you don't need to
install separately.</p>
environment (Qt 4.x is specified for a few). To make things easier,
on systems where Xapian is not available from the standard package
repositories, the Recoll package will have a static link to Xapian
so that you do not need to build/install it separately.</p>
<p>Optional packages used by document filters:
<a href="usermanual/usermanual.html#RCL.INSTALL.EXTERNAL">
......@@ -95,10 +96,11 @@
would only change for really major modifications like a big
change in the index format, and possibly won't ever reach
2.</p>
<p>Y is for functional modifications. These may bring bugs, so
if you don't need the new features,
you may want to wait a little, and especially skip the first
release (X.Y.0), at least for a few weeks.</p>
if you don't need the new features, you may want to wait a little,
and especially skip the first release (X.Y.0), at least for a few
weeks.</p>
<p>Z changes for <a href="BUGS.html">bug fixes</a> only,
and moving from X.Y.Z to X.Y.Z+u should in general involve
......@@ -123,16 +125,16 @@
(package watches( -->
<a href="recoll-1.13.04.tar.gz">recoll-1.13.04.tar.gz</a>.
Recoll 1.13.04 fixes stemming, which was broken in 1.13.02.
Recoll 1.13.04 fixes stemming, which was broken in 1.13.
<a href="CHANGES.html">Changes</a>. <a href="BUGS.html">Bugs</a>.
</p>
<p>In order to build Recoll from source, you will need to install
the Xapian core development libraries. You will find source and binary
packages on the <a href="http://www.xapian.org/download.php">
<p>If you want to build Recoll from source, you will need to install
the Xapian core development libraries. You will find source and
binary packages on the <a href="http://www.xapian.org/download.php">
Xapian download page</a>.
Recoll 1.13 needs at least xapian 1.0.5, I suggest using the
latest 1.0 Xapian (1.0.17 currently). It's at least quite
latest 1.0 Xapian (1.0.18 currently). It's at least quite
preferable to use a Xapian version after 1.0.12 as they don't
need the <a href="BUGS.html#XapianNearPatch">NEAR patch</a>
any more.</p>
......@@ -145,11 +147,11 @@
automatically be configured to build with Qt 4 if the version
of qmake found in $PATH:$QTDIR/bin is for Qt 4 (you can also
set the QMAKE variable to explicitely choose the
desired version, like QMAKE=qmake-qt4).</td></tr>
desired version, like <tt>QMAKE=qmake-qt4</tt>).</td></tr>
<tr><td></td><td>
There seems to be a few issues in Qt 4.4.0 (2008-08-23),
resulting in problems when displaying the Recoll result
list. <br> Qt 4.3, 4.4.x,4.5 and 4.6.0 seem to work fine.
list. <br> Qt 4.3, 4.4.x,4.5 and 4.6 seem to work fine.
</td></tr>
</table>
......@@ -187,18 +189,17 @@
<h3>Ubuntu</h3>
<blockquote>
<p>There are Personal Package Archives on
launchpad.net for
<p>There are Personal Package Archives on launchpad.net for
<a href="http://www.launchpad.net/~xapian-backports/+archive/ppa">
Xapian</a>,
<a href="http://www.launchpad.net/~recoll-backports/+archive/ppa">
Recoll and kio-recoll</a>. These were built from the latest versions,
Recoll and kio-recoll</a>. These were built from the latest versions,
for a set of Ubuntu series. You just need to add the
PPAs to your system software sources (the instructions are on
the PPA page), and you can then install the normal package
manager to install or update Recoll and Xapian. To avoid
messages about signature errors, you will have to import the
Recoll and Xapian public keys: <pre><tt>
Recoll and Xapian public keys (as root): <pre><tt>
gpg --keyserver keyserver.ubuntu.com --recv 9DA85604
gpg --export --armor 9DA85604 | sudo apt-key add -
gpg --keyserver keyserver.ubuntu.com --recv A0735AD0
......@@ -209,8 +210,8 @@ gpg --export --armor A0735AD0 | sudo apt-key add -
<h3>RPMS</h3> <p><i>Except if specified otherwise, the
executables inside the binary rpms which follow have a
static link to Xapian 1.0.16, there is no real dependency except Qt 3
or Qt 4.<br>
static link to Xapian (1.0.16-18), there is no real dependency
except Qt 3 or Qt 4.<br>
Some Fedora and Mandriva packages unfortunately think that they
depend on exiftool (which is needed by the little used jpeg
info filter), due to excessive rpmbuild cleverness.
......@@ -220,70 +221,56 @@ gpg --export --armor A0735AD0 | sudo apt-key add -
<h3>Fedora</h3>
<blockquote>
<p><b>Fedora Core 6 with Qt 3.3.8</b>
<a href="fc6/recoll-1.13.01-1.i586.rpm">
recoll-1.13.01-1.i586.rpm</a>.
<a href="fc6/recoll-1.13.04-1.i586.rpm">
recoll-1.13.04-1.i586.rpm</a>.
Source:
<a href="fc6/recoll-1.13.01-1.src.rpm">
recoll-1.13.01-1.src.rpm</a>
<a href="fc6/recoll-1.13.04-1.src.rpm">
recoll-1.13.04-1.src.rpm</a>
This package usually also installs and runs on Fedora 9.
</p>
<p><b>Fedora Core 10 with Qt 4</b>
<a href="fc10/recoll-1.13.01-1.fc10.i586.rpm">
recoll-1.13.01-1.fc10.i586.rpm</a>.
<a href="fc10/recoll-1.13.04-1.fc10.i586.rpm">
recoll-1.13.04-1.fc10.i586.rpm</a>.
Source:
<a href="fc10/recoll-1.13.01-1.fc10.src.rpm">
recoll-1.13.01-1.fc10.src.rpm</a>
<a href="fc10/recoll-1.13.04-1.fc10.src.rpm">
recoll-1.13.04-1.fc10.src.rpm</a>
</p>
<p><b>Fedora Core 12 with Qt 4</b>
This build is not statically linked, but depends on the
regular Xapian and zlib rpms from the Fedora repositories.
<a href="fc12/recoll-1.13.01-2.fc12.i586.rpm">
recoll-1.13.01-2.fc12.i586.rpm</a>.
<a href="fc12/recoll-1.13.04-1.fc12.i586.rpm">
recoll-1.13.04-1.fc12.i586.rpm</a>.
Source:
<a href="fc12/recoll-1.13.01-2.fc12.src.rpm">
recoll-1.13.01-2.fc12.src.rpm</a>
<a href="fc12/recoll-1.13.04-1.fc12.src.rpm">
recoll-1.13.04-1.fc12.src.rpm</a>
</p>
<p>More builds contributed by Terry, thanks. 64 bits versions
are included and the spec file is improved and should help
those who want to rebuild from the source rpms. Normally linked
(need Xapian and zlib libraries):</p>
<blockquote>
<p><b>Fedora Core 11 with Qt 4</b>
<a href="fc11/recoll-1.13.01-3.fc11.i586.rpm">
recoll-1.13.01-3.fc11.i586.rpm</a>.
<a href="fc11/recoll-1.13.01-3.fc11.x86_64.rpm">
recoll-1.13.01-3.fc11.x86_64.rpm</a>.
Source:
<a href="fc11/recoll-1.13.01-3.fc11.src.rpm">
recoll-1.13.01-3.fc11.src.rpm</a>
</p>
<p><b>Fedora Core 12 with Qt 4</b>
This build is not statically linked, but depends on the
regular Xapian and zlib rpms from the Fedora repositories.
<a href="fc12/recoll-1.13.01-3.fc12.i686.rpm">
recoll-1.13.01-3.fc12.i686.rpm</a>.
<a href="fc12/recoll-1.13.01-3.fc12.x86_64.rpm">
recoll-1.13.01-3.fc12.x86_64.rpm</a>.
Source:
<a href="fc12/recoll-1.13.01-3.fc12.src.rpm">
recoll-1.13.01-3.fc12.src.rpm</a>
<a href="fc12/recoll-1.13.04-1.fc12.x86_64.rpm">
recoll-1.13.04-1.fc12.x86_64.rpm</a>.
</p>
</blockquote>
</blockquote>
<h3>OpenSUSE</h3>
<blockquote>
<p><b>OpenSUSE 11.0 with qt3</b>:
<a href="suse11.0/recoll-1.13.01-0.i586.rpm">
recoll-1.13.01-0.i586.rpm</a>.
Source: <a href="suse11.0/recoll-1.13.01-0.src.rpm">
recoll-1.13.01-0.src.rpm</a></p>
<a href="suse11.0/recoll-1.13.04-0.i586.rpm">
recoll-1.13.04-0.i586.rpm</a>.
Source: <a href="suse11.0/recoll-1.13.04-0.src.rpm">
recoll-1.13.04-0.src.rpm</a></p>
<p><b>OpenSUSE 11.2 with qt4</b>:
<a href="suse11.2/recoll-1.13.01-0.i586.rpm">
recoll-1.13.01-0.i586.rpm</a>.
Source: <a href="suse11.2/recoll-1.13.01-0.src.rpm">
recoll-1.13.01-0.src.rpm</a></p>
<a href="suse11.2/recoll-1.13.04-0.i586.rpm">
recoll-1.13.04-0.i586.rpm</a>.
Source: <a href="suse11.2/recoll-1.13.04-0.src.rpm">
recoll-1.13.04-0.src.rpm</a></p>
<p>If you build from source on OpenSUSE 11, note that the default
qt4 version on some systems is 4.4.0 which will badly
display the the result list icons. Use qt3 or install a
......@@ -294,11 +281,11 @@ gpg --export --armor A0735AD0 | sudo apt-key add -
<blockquote>
<p><b>Mandriva 2008 with Qt 4</b>:
<a href="mandriva2008spring/recoll-1.13.01-1mdv2008.1.i586.rpm">
recoll-1.13.01-1mdv2008.1.i586.rpm</a>.
<a href="mandriva2008spring/recoll-1.13.04-1mdv2008.1.i586.rpm">
recoll-1.13.04-1mdv2008.1.i586.rpm</a>.
Source:
<a href="mandriva2008spring/recoll-1.13.01-1mdv2008.1.src.rpm">
recoll-1.13.01-1mdv2008.1.src.rpm</a>
<a href="mandriva2008spring/recoll-1.13.04-1mdv2008.1.src.rpm">
recoll-1.13.04-1mdv2008.1.src.rpm</a>
</p>
</blockquote>
......@@ -319,9 +306,9 @@ gpg --export --armor A0735AD0 | sudo apt-key add -
<p>The FreeBSD ports track the Recoll releases quite
closely, so there is actually little point in using the
following. Only for the <i>really</i> impatient:</p>
<p><b>FreeBSD 7.2 i386 Qt 4.5.3</b>:
<a href="freebsd/recoll-1.13.01-FreeBSD-7.2-STABLE.tgz">
recoll-1.13.01-FreeBSD-7.2-STABLE.tgz</a>
<p><b>FreeBSD 7.2 i386 Qt 4.6.1</b>:
<a href="freebsd/recoll-1.13.04-FreeBSD-7.3-PRERELEASE.tgz">
recoll-1.13.04-FreeBSD-7.3-PRERELEASE.tgz</a>
</p>
</blockquote>
......@@ -332,8 +319,8 @@ gpg --export --armor A0735AD0 | sudo apt-key add -
thread. See <a href="BUGS.html">errata</a>.
<p><b>Solaris 8 SPARC</b>:
<a href="sunos/recoll-1.13.01-SunOS-5.8.tgz">
recoll-1.13.01-SunOS-5.8.tgz</a>. </p>
<a href="sunos/recoll-1.13.04-SunOS-5.8.tgz">
recoll-1.13.04-SunOS-5.8.tgz</a>. </p>
<p>Recoll also builds and runs on Solaris 10, but, given the
situation (2008) of open source packages for Solaris (very old
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment